data_directory = '/var/lib/postgresql/8.4/main'		# use data in another directory
hba_file = '/etc/postgresql/8.4/main/pg_hba.conf'	# host-based authentication file
ident_file = '/etc/postgresql/8.4/main/pg_ident.conf'	# ident configuration file
external_pid_file = '/var/run/postgresql/8.4-main.pid'		# write an extra PID file
listen_addresses = '*'		# what IP address(es) to listen on;
port = 5432				# (change requires restart)
max_connections = 3100			# (change requires restart)
unix_socket_directory = '/var/run/postgresql'		# (change requires restart)
ssl = true				# (change requires restart)
shared_buffers = 1500MB			# min 128kB
max_prepared_transactions = 20		# zero disables the feature
work_mem = 16MB				# min 64kB
checkpoint_segments = 8		# in logfile segments, min 1, 16MB each
random_page_cost = 3.0			# same scale as above
effective_cache_size = 20GB
from_collapse_limit = 8
join_collapse_limit = 8		# 1 disables collapsing of explicit 
log_destination = 'stderr'		# Valid values are combinations of
logging_collector = on		# Enable capturing of stderr and csvlog
log_directory = '/var/log/pgsql'		# directory where log files are written,
log_filename = 'postgresql-%Y-%m-%d_%H.log'	# log file name pattern,
log_rotation_age = 120			# Automatic rotation of logfiles will
log_duration = on
log_line_prefix = '%t [%d] [%x][%p]: [%l-1] '			# special values:
log_statement = 'none'			# none, ddl, mod, all
track_functions = all			# none, pl, all
track_activity_query_size = 16384
log_statement_stats = off
autovacuum_max_workers = 10		# max number of autovacuum subprocesses
datestyle = 'iso, dmy'
lc_messages = 'C'			# locale for system error message
lc_monetary = 'de_DE.utf8'			# locale for monetary formatting
lc_numeric = 'de_DE.utf8'			# locale for number formatting
lc_time = 'de_DE.utf8'				# locale for time formatting
default_text_search_config = 'pg_catalog.german'
